<div fxLayout="column" fxLayoutAlign="space-between center" fxLayoutGap="10px" style="padding: 30px">
  <h1>Liste des recettes</h1>

  <div fxFill fxLayoutAlign="start center" fxLayoutGap="10px">
    <a color="primary" mat-flat-button routerLink="/planning/list">Go to plannings</a>
    <a aria-label="Ajout recette" color="primary" mat-flat-button
       routerLink="/recipe/create">
      Ajout recette
    </a>
    <a color="primary" mat-flat-button routerLink="/ingredient">Manage ingrédients</a>
  </div>
  <div fxFill fxLayoutAlign="start center" fxLayoutGap="10px">
    <mat-chip (click)="setNoFilter()">Clear all filters</mat-chip>
    <mat-chip (click)="setVege()">Recettes végétariennes</mat-chip>
  </div>
  <mat-form-field appearance="fill" fxFill>
    <mat-label>Recette contient</mat-label>
    <mat-chip-list #containsList aria-label="Ingredient type selection">
      <mat-chip
        (removed)="removeContains(ingredientType)"
        *ngFor="let ingredientType of selectedIngredientTypeContains">
        {{ingredientType}}
        <button matChipRemove>
          <mat-icon>cancel</mat-icon>
        </button>
      </mat-chip>
      <input
        #ingredientTypeContainsInput
        [formControl]="typeContainsForm"
        [matAutocomplete]="auto"
        [matChipInputFor]="containsList"
        [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
      >
    </mat-chip-list>
    <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selectedContains($event)">
      <mat-option *ngFor="let filteredIngredientType of filteredIngredientTypeContains | async"
                  [value]="filteredIngredientType">
        {{filteredIngredientType}}
      </mat-option>
    </mat-autocomplete>
  </mat-form-field>

  <mat-form-field appearance="fill" fxFill>
    <mat-label>Recette ne contient pas</mat-label>
    <mat-chip-list #doesNotContainList aria-label="Ingredient type selection">
      <mat-chip
        (removed)="removeDoesNotContain(ingredientType)"
        *ngFor="let ingredientType of selectedIngredientTypeDoesNotContain">
        {{ingredientType}}
        <button matChipRemove>
          <mat-icon>cancel</mat-icon>
        </button>
      </mat-chip>
      <input
        #ingredientTypeDoesNotContainInput
        [formControl]="typeDoesNotContainForm"
        [matAutocomplete]="autoDoesNotContain"
        [matChipInputFor]="doesNotContainList"
        [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
      >
    </mat-chip-list>
    <mat-autocomplete #autoDoesNotContain="matAutocomplete" (optionSelected)="selectedDoesNotContain($event)">
      <mat-option *ngFor="let filteredIngredientType of filteredIngredientTypeDoesNotContain | async"
                  [value]="filteredIngredientType">
        {{filteredIngredientType}}
      </mat-option>
    </mat-autocomplete>
  </mat-form-field>

  <mat-grid-list (window:resize)="onResize($event)" [cols]="numberOfCols" fxFill rowHeight="300px">
    <mat-grid-tile *ngFor="let recipe of recipes" style="max-height: 300px;">
      <mat-card (click)="onClick(recipe)" fxLayout="column" fxLayoutAlign="space-around center">
        <mat-card-header>
          <mat-card-title
            style="width: 200px;  text-align: center; overflow-wrap: break-word;">{{recipe.title}}</mat-card-title>
        </mat-card-header>
        <img *ngIf="recipe.picture" [src]="recipe['pictureBlob']" alt="image" mat-card-image style="max-width: 200px; max-height: 200px;   height:auto;    width:auto;">
      </mat-card>
    </mat-grid-tile>
  </mat-grid-list>
</div>
